#!/usr/bin/perl -w

$input = "base.wav" ;
$output = "emerald" ;

# major
@tones = ( 0 , 2 , 4 , 5 , 7 , 9 , 11 , 12 ) ;

# minor
#@tones = ( 0 , 2 , 3 , 5 , 7 , 8 , 10 , 12 ) ;

system "sox $input -r 22050 -c 1 -w -s -t raw temp1" ;


for ( $i = 0 ; $i < @tones ; $i ++ )
{
	&Go ( $i , $tones[ $i ] ) ;
}




unlink "temp2.wav" ;
unlink "temp1" ;

sub Go
{
	my ( $num , $semitones ) = @_ ;
#	$semitones += 6 ;
	my $rate = 22050.0 / exp ( ( log 0.5 ) * ( 1.0 / 12.0 ) * $semitones ) ;
	$rate = int $rate ;

	print "$num semi $semitones\n" ;
	system "sox -r $rate -c 1 -w -s -t raw temp1 -t wav temp2.wav" ;
	system "sox temp2.wav -r 22050 $output$num.wav" .
		(( $rate != 22050 ) ? " resample" : "" ) ;
	system "play $output$num.wav &" ;
}

exit 0 ;




